# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_principal_data

type krb5_principal_data

## Declaration

typedef struct krb5_principal_data krb5_principal_data

## Members

krb5_magic krb5_principal_data.magic

krb5_data krb5_principal_data.realm

krb5_data *krb5_principal_data.data

  An array of strings.

krb5_int32 krb5_principal_data.length

krb5_int32 krb5_principal_data.type